Cloudcli
======

Command line interface for interacting with Cloud providers. Useful as a helper for provisioning tools like Salt, Ansible, Terraform, that require region_id or image_id or any other API specific string.

## Installation

	pip install cloudcli

## Configuration

All sensitive data is stored in `~/.cloudcli/provider` in JSON

## Available providers 


### DigitalOcean 

A valid API V2 Read only token in `~/.cloudcli/digitalocean`


```
{
	"token": "read_only_token"
}
```


#### Available commands

- cloudcli-do list_images
- cloudcli-do list_sizes
- cloudcli-do list_regions