import os 
import json


class Struct:
	def __init__(self, **entries): 
		self.__dict__.update(entries)

def pluck_values(object, fields=[], fields_extra=[]):
	for el in object:
		result_dict = {}

		for f in fields:
			result_dict[f] = el.__dict__.get(f)
		for f in fields_extra:
			result_dict[f] = el.__dict__['extra'].get(f)

		print result_dict


def get_credentials(provider=None):
	home = os.path.expanduser("~")
	token_path = os.path.join(home, '.cloudcli', provider)

	config = {}
	with open(token_path, 'r') as f:
		config =  json.load(f)
		
	credentials = Struct(**config)

	return credentials